CEL: Crystal Entity Layer: iPcRegion Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcRegion Struct Reference

The representation of a region. More...

`#include <propclass/region.h>`

List of all members.

## Public Member Functions
virtual void | CreateEmptySector (const char *name)=0
| Create empty sector.
virtual iSector * | FindSector (const char *sectorname)=0
| Returns a sector.
virtual iRegion * | GetRegion ()=0
| Returns the CS region associated to this propclass.
virtual const char * | GetRegionName () const =0
| Get the name of this region.
virtual csVector3 | GetStartPosition (const char *name=0)=0
| Get start position.
virtual iSector * | GetStartSector (const char *name=0)=0
| Get start sector.
virtual const char * | GetWorldDir () const =0
| Get the world dir that is used for this region.
virtual const char * | GetWorldFile () const =0
| Get the world file that is used for this region.
virtual bool | Load ()=0
| Load the region.
virtual void | PointCamera (iPcCamera *pccamera, const char *name=0)=0
| Update the given pccamera so that it points to the starting position in this region.
virtual void | SetRegionName (const char *name)=0
| Set the name of this region.
virtual void | SetWorldFile (const char *vfsdir, const char *name)=0
| Set the world file to use for this region.
virtual void | Unload ()=0
| Unload the region.

## Detailed Description

The representation of a region.

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- Load: no parameters.

This property class supports the following properties (add prefix 'cel.property.' to get the ID of the property:

- worlddir (string, read/write): the VFS directory of the world file.
- worldfile (string, read/write): the world filename.
- regionname (string, read/write): region name.

Definition at line 49 of file region.h.

## Member Function Documentation

virtual void iPcRegion::CreateEmptySector | ( | const char * | name | ) | `[pure virtual]`

| Create empty sector. Use this instead of SetWorldFile() if you want the region to have a single empty sector. The given name is the name of the sector. Note! In the current implementation you can only call this function once for a given region!

virtual iSector* iPcRegion::FindSector | ( | const char * | sectorname | ) | `[pure virtual]`

| Returns a sector.

virtual iRegion* iPcRegion::GetRegion | ( |  | ) | `[pure virtual]`

| Returns the CS region associated to this propclass. This function has a meaning only if the region has been loaded.

virtual const char* iPcRegion::GetRegionName | ( |  | ) | const`[pure virtual]`

| Get the name of this region.

virtual csVector3 iPcRegion::GetStartPosition | ( | const char * | name = `0` | ) | `[pure virtual]`

| Get start position. The given name is the name of the starting position to use. If 0 is given then the default position will be used.

virtual iSector* iPcRegion::GetStartSector | ( | const char * | name = `0` | ) | `[pure virtual]`

| Get start sector. The given name is the name of the starting position to use. If 0 is given then the default position will be used.

virtual const char* iPcRegion::GetWorldDir | ( |  | ) | const`[pure virtual]`

| Get the world dir that is used for this region.

virtual const char* iPcRegion::GetWorldFile | ( |  | ) | const`[pure virtual]`

| Get the world file that is used for this region.

virtual bool iPcRegion::Load | ( |  | ) | `[pure virtual]`

| Load the region. This will create the empty sector if CreateEmptySector() is used.

virtual void iPcRegion::PointCamera | ( | iPcCamera * | pccamera,
|  | const char * | name = `0`
| ) | `[pure virtual]`

| Update the given pccamera so that it points to the starting position in this region. The given name is the name of the starting position to use. If 0 is given then the default position will be used.

virtual void iPcRegion::SetRegionName | ( | const char * | name | ) | `[pure virtual]`

| Set the name of this region.

virtual void iPcRegion::SetWorldFile | ( | const char * | vfsdir,
|  | const char * | name
| ) | `[pure virtual]`

| Set the world file to use for this region.

virtual void iPcRegion::Unload | ( |  | ) | `[pure virtual]`

| Unload the region.

The documentation for this struct was generated from the following file:

- propclass/region.h